module Images.Png (getImage) where

import Images.Types		(Get, Pixel, Image)

{- A placeholder for PNG file support.  Only added during an attempt to support polymorphi, non-canonical Image types -}

data PngFile = CPngFile Int Int [Pixel]
	deriving (Show)

getPngFile :: Get PngFile
getPngFile = undefined

getImage :: Get Image
getImage = do
	(CPngFile width height pixels) <- getPngFile
	return (width, height, pixels)
