module Images.Types (Get, Pixel, Image, ImageGetter) where

import Data.Binary.Get (Get)

-- Pixel (red, green, blue)
-- where "red `min` green `min` blue >= 0 && red `max` green `max` blue <= 255"
type Pixel = (Int, Int, Int)

-- Image (width, height, pixels)
-- where "width >= 0 && height >= 0 && width * height = length pixels"
type Image = (Int, Int, [Pixel])

-- ImageGetter (fileExtension, getter)
type ImageGetter = (String, Get Image)
